Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Interface OutboundRouter

All Superinterfaces:
  Disposable, Initialisable, Matchable, MatchableMessageProcessor, MatchableMessageRouter, MessageProcessor, MessageRouter, MuleContextAware, RouterStatisticsRecorder

All Known Implementing Classes:
  AbstractMessageSplitter, AbstractOutboundRouter, AbstractRecipientList, AbstractRoundRobinMessageSplitter, ChainingRouter, ContentBasedRouter, EndpointSelector, ExceptionBasedRouter, ExpressionMessageSplitter, ExpressionRecipientList, FilterBasedXmlMessageSplitter, FilteringOutboundRouter, ListMessageSplitter, MessageChunkingRouter, MulticastingRouter, OutboundPassThroughRouter, StaticRecipientList, SxcFilteringOutboundRouter, TransformerRouter, XmlMessageSplitter

    public interface OutboundRouter

extends MatchableMessageRouter, RouterStatisticsRecorder, Initialisable, Disposable, MuleContextAware

`OutboundRouter` is used to control outbound routing behaviour for an event. One or more Outbound routers can be associated with an `OutboundRouterCollection` and will be selected based on the filters set on the individual Outbound Router.

See Also:
  `OutboundRouterCollection`

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`List<MessageProcessor>` | `getRoutes()` Gets a list of MessageProcessor instances associated with this router
`boolean` | `isDynamicRoutes()` Determines whether this router supports dynamic route.
`void` | `setReplyTo(String replyTo)` Sets the replyTo route for any outgoing messages.
`void` | `setTransactionConfig(TransactionConfig transactionConfig)`

Methods inherited from interface org.mule.api.routing.Matchable
`isMatch`

Methods inherited from interface org.mule.api.processor.MessageRouter
`addRoute, removeRoute`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.routing.RouterStatisticsRecorder
`setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Method Detail

### setTransactionConfig

    void setTransactionConfig(TransactionConfig transactionConfig)

### setReplyTo

    void setReplyTo(String replyTo)

  Sets the replyTo route for any outgoing messages. This will then be used by other Mule routers to send replies back for this message. If the underlying protocol supports replyTo messages, such as Jms, a Jms Destination will be attached to the outbound message

  Parameters:
    `replyTo` - route string to use

### isDynamicRoutes

    boolean isDynamicRoutes()

  Determines whether this router supports dynamic route. i.e. routes that are not configured at design time. routes might be pulled from the message or payload.

### getRoutes

    List<MessageProcessor> getRoutes()

  Gets a list of MessageProcessor instances associated with this router

  Returns:
    a list of MessageProcessor instances

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.